Plugin Name: Pro Sites
Author:	WPMU DEV

Change Log:
----------------------------------------------------------------------
----------------------------------------------------------------------

3.6.1 - 13/03/2019

*Added:
    - Card update form for Stripe customers.
    - New setting to log the Stripe errors to error log.
    - Responsive pricing tables.
    - New action & filter hooks (pro_sites_email_notification) for email notifications.
*Updated:
    - Updated Stripe library.
    - Updated checkout screen for Stripe.
    - Log webhook event id for easier debugging.
    - Do not log unwanted webhook events to site meta.
    - Do not cancel subscriptions immediately unless the site is deleted.
    - Remove deprecated functions.
    - Minimum PHP version is updated to 5.4.

3.6.0 - 15/01/2019

*Added:
    - DB upgrade for older installations.
    - Show site title and URL on free sites.
*Fixed:
    - Conflict with NBT template selection.
    - Payment receipt email not being sent.
    - Wrong password in the email when a site is manually activated.
    - Wrong trial period length when using Manual payments.
    - Wrong admin URL for the additional registrations.
    - GDPR checkbox disappears in the signup form.
    - XML-RPC not working on subsites.
    - Pay To Blog module blocks Free level.
    - Missing translation strings.
    - Conflicts with PHP 7.0+.

3.5.9.3 - 26/06/2018

*Added:
    - Added Indian Rupee support to PayPal.
*Fixed:
    - Stripe API error.
    - Trial period continues to be doubled.

3.5.9.2 - 05/06/2018

*Fixed:
    - Unable to signup when GDPR Privacy Policy page is not set.
    - Fatal error on PHP 5.2.

3.5.9.1 - 04/06/2018

*Added:
    - Added GDPR personal data export.
    - Added GDPR personal data eraser.
    - Added GDPR message to privacy page.
*Fixed:
    - Blog ID value was passed as a string instead of int.
    - DOM error on pricing table page.
*Updated:
    - Taxamo Information updated.

3.5.9 - 02/02/2018

*Updated:
    - Improved subscriber information for Stripe.
*Fixed:
    - Unable to remove Pro Sites status manually.
    - Coupon discount was not showing in account history log.
    - Stripe errors after cancellation.
    - Pro Sites no longer upgrading after receiving  payment.
    - Tax.js was loading by default even if it was disabled.
    - Level and period values were not set on PayPal checkout form.
    - Expire date was wrong if the cancellation is within the trial period.
    - Pro Site level not assigned when using PayPal sandbox.
    - PayPal recurring payment is not working when payment type is eCheck.
    - Multiple registrations were not working properly.

3.5.8 - 10/01/2018

*Added:
    - Option to set quota for free level in Post/Page quotas module.
*Updated:
    - Do not let users upgrade a site without logging in.
*Fixed:
    - Conflict with WP User Avatar.
    - Errors in main blog admin pages.
    - Email was empty on the confirmation page.
    - Payment button appears after logging out.
    - Updating card info was not working.
    - Non-numeric value error in PHP 7.1.
    - Using coupon sets the price to 0 in some cases.
    - Sign up link was showing twice on Pro Sites page.
    - Pay to Blog module was not working when free signup is enabled.
    - SQL error on Pro Sites page if blog id is invalid.
    - Errors when Pro Sites checks the status of deactivated sites.
    - Stripe errors when deleted plans exist on the cache.
    - Error while checking already canceled sites later.
    - Duplicate id/class name on the checkout page.

3.5.7 - 04/10/2017

*Updated:
    - Added sanitization to activation key and few other $_GET parameters.
    - Moved inline scripts to checkout js.
*Fixed:
    - Text escaping issue on pricing tables.
    - Database error on logs after activation.
    - Few translation strings were not escaping properly.
    - Added php compatibility check for Taxmo module. Taxo requires PHP 5.3+
    - Fixed undefined error on anonymous function in PHP 5.2

3.5.6 - 04/09/2017

*Added:
    - Allow HTML in pricing table description field.
    - Added Really Simple SSL support.
    - New setting to select PayPal checkout button image.
*Updated:
    - Use wp_add_inline_script instead of hp_head to add checkout page scripts.
    - Updated message on PayPal when setup fee is used.
    - Updated Google Analytics ecommerce tracking code.
    - Load Pro Sites scripts only on Pro Sites admin pages.
*Fixed:
    - JavaScript error on Pro Sites checkout.
    - Duplicate payment receipts being sent.
    - Not all events were logged in site logs.
    - Notification emails become blank on text only email clients.
    - Manually extending pro sites extends trial period.
    - Setting up Posts/Quotas doesn't work.
    - PayPal "Thank You" Message isn't displaying after purchase.
    - Free trial message is not being displayed.
    - Error on stats page (PHP 7.1).
    - Site categories can't be selected.
    - Users cannot create new additional sites.
    - Expired sites does not activate after payment.
    - Fixed issues with New Blog Templates template selection.
    - Wrong url is shown in confirmation page.
    - Pro Sites Widget not showing when logged out.
    - PHP notices after saving the settings.
    - Fatal errors on PHP 5.3 and 5.4.
    - Subscription cancellation was not working for PayPal during trial period.
    - BuddyPress compatibility issue.
    - Error on the confirmation page after signup.
    - Conflict with GeoDirectory chosen select.
    - Error when trying to update credit card checkout page.


3.5.5 - 04/12/2017

*Added:
    - Allow trial for all levels

*Fixed:
    - Checkout: Url should be default to current page ssl
    - Coupons: Make maximum coupon discount $0.01 to avoid breaking checkout
    - Checkout: Allow to set checkout page as home page
    - Checkout page doesn't appears for a logged in user with no existing blog, if multiple blog signup is kept off
    - Checkout: Feature names not appearing
    - Checkout: Update checkout page if rebranding text is updated
    - Checkout: Do not show trial message for free signups
    - Checkout: Show errors on respective gateway tabs
    - Gateway: Thank you message not displayed for the gateway
    - Gateway Settings: Gateway list not being generated if a registered external gateway is not available
    - Pay to Blog: Updated Pay to blog is_pro_site check
    - Paypal: Paypal Pro wasn't creating pro sites
    - Paypal: Possible fix for sites not being assigned Pro Site status sometimes
    - Paypal: Unable to change PayPal currency.
    - Paypal: Fatal error get_profile_id() function
    - Signup: Wrong login password for manual payments
    - Settings: Confusing text in Setup Fee tooltip
    - Settings: Unable to edit feature description if all text removed
    - Stripe: Email not sent after checkout
    - Stripe: Set trial for the specified level only while manually extending site
    - Premium Theme not disabled after subscription expiry

3.5.4 - 05/08/2016 - Umesh Kumar

*Fixed:
    * Pay to blog disabling all Pro Sites after the update 3.5.3

3.5.3 - 05/7/2016 - Umesh Kumar
*Fixed
    * Follow the currency position setting in Pricing table description as well
    * Check subscription expiration from respective gateway before withdrawing Pro Site status
    * Allow trial for selected level only, Charge regular amount for other levels
    * Issue with setting trial for recurring subscription
    * Issue with Paypal upgrade if only single period is enabled
    * JS error period_selector.val is not a function, if single period is enabled
    * Pay To Blog: Do not disable free sites if Pay to Blog is enabled
    * Plugin Compatibility: Do not redirect if user clicks on "Just username" link on Blog templates page
    * Unable to update feature description under Feature Tables settings
    * Allow updating currency if only Manual Payment is enabled
    * Preserve Level prices for a period even if it's set to not visible in Levels settings
    * Database error while modifying the existing Ads table
    * Added a check for displaying advertisements (Do not show adds if not in the loop or main query )
    * Enable Plugin administration menu on save settings in module, if Premium Plugin Manager/Plugin Manger is active
    * Stripslashes in Custom CSS section for Pricing table
    * Do not include activation details in upgrade message for manual payments
    * Show correct admin url for Paypal checkouts
    * Multiple notices and warnings in error log


3.5.2 - 02/20/2016 - Umesh Kumar

-Fixed: First payment coupons not working after single use
-Fixed: Use stripslashes in Paypal IPN handler, as WordPress escapes the data, it was
        leading to failed IPN verification in some cases
-Fixed: Deprecated function `get_admin_users_for_domain`
-Fixed: Skip Payment gateway for Zero cost plans  (Only Non Recurring )
-Fixed: Skip Payment gateway for 100% Off coupons (Only Non Recurring )
-Fixed: Do not show "Change your plan heading" for New Signups
-Fixed: Price not being displayed on checkout page if monthly price is disabled
-Fixed: Japanese Yen currency (Zero Decimal Currency issue ) for Stripe
-Added: Premium plugins now auto activate or deactivate when a site's level changes.
-Added: Permanent extensions can now be reverted by extending a site manually.

3.5.1.9 - 12/29/2015 - Rheinard
- Fixed: Checkout page now displaying proper confirmation.
- Fixed: Manual payments no longer give cancellation warning.
- Fixed: PayPal checkout shows confirmation after redirecting back from PayPal.
- Added: Update your Stripe credit card by checking out your existing plan and selecting "Replace Existing Card". UX update coming soon.
- Added: New constant to add to wp-config.php to avoid cancellation when changing gateways (make sure you know what you're doing first): define( 'PSTS_CANCEL_ON_GATEWAY_CHANGE', false);
- Note: Above can also be achieved by removing the relevant hook in a plugin or theme file: remove_action( 'psts_extend', array( 'ProSites', 'cancel_on_gateway_change' ), 10, 6 );

3.5.1.8 - 12/09/2015 - Rheinard Korf
- Fixed: Error when Stripe is not active.

3.5.1.7 - 12/08/2015 - Rheinard Korf
- Fixed: Pre 3.5 feature to set default trial levels restored.
- Added: When extending a site manually and Stripe is activated, there is an option to attempt to reactivate the Stripe account.
         Please note to only use this upon accidental cancellation or when you have explicit permission from the user.
- Update: Warnings about manual payment cancellations removed.
- Update: New warnings when Stripe credit card transactions failed and prompt to re-enter credit card details on accounts page.
- Fixed: Reactivating legacy 3.4 Stripe customers will restore correct metadata

3.5.1.6 - 11/23/2015 - Rheinard Korf
- Priority Fix: Manual extension of site will re-activate cancelled Stipe subscription. User will only be charged at next expiry.
- Fixed: Legacy gateways, trials and manual extensions no longer cancel subscriptions.

3.5.1.5 - 11/23/2015 - Rheinard Korf
- Update: Stripe URLs updated
- Fixed: Warnings with Premium Plugins Manager
- Fixed: When changing "Method Name" for manual gateway it now alters the display correctly.
- Fixed: Subscriptions no longer cancel immediately when using trial.
- Fixed: Checking out with PayPal now show correct setup information.

3.5.1.4 - 10/21/2015 - Rheinard Korf & Umesh Kumar
- Fixed: Checkout: Multiple Signup link, if Multiple blog signup is allowed
- Fixed: Paypal: Do not specify notification URL in direct payment as it breaks IPN forwarder, Use PayPal IPN settings only
- Fixed: Stripe: Multiple Blog signup issue
- Fixed: Stripe: Table issue for new installations
- Added: Option for disabling PDF receipts
- Fixed: Features table not displaying correctly.
- Updated: Added additional Stripe currencies.
- Fixed: Errors on new blog creation.
- Fixed: When switching gateways the old gateway will attempt to cancel when setting up the new gateway.
- Updated: Information message will appear to users wanting to change their payment gateway.
- Fixed: Upgrading with PayPal while still within trial period.
- Added: New Premium Plugins Manager to give you more control over the plugins that each level can use.

3.5.1.3 - 08/28/2015 - Umesh Kumar
- Fixed: Premium Theme/ Plugin menu missing for admin
- Fixed: Deprecated warning for widget
- Fixed: Quota: Post/Page/Upload limit issue

3.5.1.2 - 08/27/2015 - Umesh Kumar
- Fixed: Payment amount comes to zero for existing expired sites
- Fixed: Checkout: Monthly plan being selected if period selector is displayed at top
- Fixed: Checkout: Option to display a message on checkout page at the top
- Fixed: Checkout: Period selector style broken in firefox
- Fixed: Checkout: Monthly plan details shown with Quarterly plan
- Fixed: Coupons: displayed twice if pricing table and feature table disabled
- Fixed: Modules: Do not load modules on main site
- Fixed: Paypal: Currency difference while a different currency is selected initially and changed later
- Fixed: Paypal: Issue with new subscriptions
- Fixed: Paypal: Payments being made in USD only, even if other currency is being set
- Fixed: Receipt: Handle exception while generating Receipt PDF
- Fixed: Stripe: Pending status message not shown if signup on checkout is disabled
- Fixed: Stripe: dbDelta issue, subscription_id column not added to existing table
- Fixed: Stripe: Fetch customer details for older subscriptions, without subscription id
- Fixed: Stripe: Warning: check if stripe object has card details
- Added: Option to disable Force redirect to checkout page if site is expired
- Updated: Checkout: Call jQuery tabs only if there are multiple gateways

3.5.1 - 08/12/2015 - Umesh Kumar

- Fixed: Division by zero for single column pricing table
- Fixed: HTML being rendered if pricing table is disabled
- Fixed: Post/Page Quota Media Limit not working and admin notice for exceeded limits
- Fixed: PSTS_CHECKOUT_SITE issue with checkout page on subsite
- Fixed: Wrong Upgrade amount if price is in decimal
- Fixed: Warning and Notices (Manual Payment Gateway, )
- Fixed: Remove Create new site link from dashboard, if multiple blog signup is disabled
- Fixed: Issue with deleting levels, disable save levels button
- Fixed: Checkout: Feature description not visible for single level in pricing table
- Fixed: Checkout: Styling issue single level, single period plans, Highlighting featured plans
- Fixed: Checkout: Create a new site link not redirecting when Buddypress is active
- Fixed: Checkout: Do not show cancel subscription link for Non recurring subscriptions
- Fixed: Checkout: Clicking on choose plan, doesn't shows payment gateway
- Fixed: Checkout: Plan details not visible for single level, single period, pricing table disabled
- Fixed: Coupon:   Not displayed, if feature table is disabled and coupon set to display
- Fixed: Currency Symbols: Turkish Lira HTML code
- Fixed: Currency Symbols: some of the symbols being converted to emoji urls
- Fixed: Manual Payment: Pro Site level not assigned
- Added: Manual Payment: Activation Link, Cost and Coupon details in email sent to admin
- Fixed: PayPal: Coupon not working
- Fixed: PayPal: PayPal not working if pricing table was disabled
- Fixed: Settings: Custom css for pricing table not being saved
- Fixed: Signup: User activation mail not being sent ( Disable only blog activation emails, If signup on checkout is enabled)
- Fixed: Signup: Double Signup email, when Buddypress is active
- Fixed: Signup: Allow users to signup, if they are logged in and they don't have a site
- Fixed: Stripe: Issue with creating coupons for percent off
- Fixed: Stripe: Payment receipt sent to network admin instead of site admin on upgrade
- Fixed: Stripe: Subscription Cancel status
- Fixed: Stripe: Non Recurring subscription payments and upgrades
- Fixed: Stripe: Handle delay in subscription renewal
- Fixed: Stats:  Wrong payment amount stored in Pro Sites table

3.5.0.4 - 7/01/2015 - Rheinard Korf & Umesh Kumar
----------------------------------------------------------------------
- New: Pricing tables styling settings created:
     * Checkout table now has preset layouts
     * Checkout table can now be styled within Pro Sites
- New: Period selector can now be moved outside of the pricing table (above) removing the first column
- New: Coupons can now be moved outside of the pricing table (below) for different visual look
- Fixed: With Coupons active it will now display below the pricing table if only one period is available
- Fixed: Incorrect level recorded at checkout when only one period is active
- Fixed: Check level visibility before displaying on checkout page
- Fixed: Show correct number of levels in pricing tables setup after a level is deleted
- Fixed: Confusing trial message will not show when a user has cancelled their trial


3.5.0.3 - 6/17/2015 - Rheinard Korf & Umesh Kumar
----------------------------------------------------------------------
- Fixed: Warning message with Premium Themes module
- Fixed: Warning with number format conversion
- Fixed: When checkout page is defined as registration page in BuddyPress, the checkout page will show.
- Fixed: When deleting a level the features table no longer times out
- Fixed: Feature messages no longer breaks when adding or removing levels
- Fixed: Warning message when only using one gateway and having Bulk Upgrade module enabled
- Fixed: Issue with level selection box showing 1's or 0's
- Fixed: Gateways - Do not show gateways if there were errors in checkout page
- Fixed: Gateways - Do not process payment, if no level and period was selected
- Fixed: Stripe - Upgrading subscriptions from 3.4 to 3.5
- Fixed: Paypal - API credentials instructions link
- Fixed: Paypal - Partial refund, refunding the whole amount
- Fixed: Paypal - Refund fatal error
- Fixed: Upload quota displaying correctly in the Media browser
- Updated: Additional CSS class added to items on features table for custom styling
- Updated: Premium Themes module will now show premium themes to all sites not just pro sites. Only allowed themes can be activated.

----------------------------------------------------------------------
3.5.0.2 - 6/12/2015 - Rheinard Korf & Umesh Kumar
----------------------------------------------------------------------
- Fixed: HTML being displayed on Media library page
- Fixed: Site being activated even if payment was canceled by PayPal user
- Fixed: Strip slashes for Manual Payment gateway description
- Fixed: Enable Manual Gateway processing
- Fixed: Fixed error with PayPal partial refund
- Fixed: Added Russian Ruble to PayPal gateway


----------------------------------------------------------------------
3.5.0.1 - 6/5/2015 - Rheinard Korf & Umesh Kumar
----------------------------------------------------------------------
- Fixed: Fatal error when creating checkout page.
- Fixed: Small CSS adjustment to fix pricing table in some themes.
- Fixed: Multiple backslashes no longer appears in textboxes.
- Fixed: Site Title: Space in title replaced by +
- Changed: Making it obvious that Stripe setup currency must match Stripe account currency

----------------------------------------------------------------------
3.5 - 6/5/2015 - Rheinard Korf & Umesh Kumar
----------------------------------------------------------------------
- New:   Post Throttling Module
- New:   Limit Coupons availability to selected period
- New:   Filter 'psts_pypl_checkout_image_url' for Paypal
- New:   Checkout user role selection setting
- New:   Persistent object cache support
- New:   Russian Rubles to paypal currencies and locale
- New:   Force Network Used space check if quota is enabled, can be overridden using filter 'psts_enable_used_space_check'
- New:   Improve directions in Premium Plugins module
- New:   Allow changing which site the checkout page is on via PSTS_CHECKOUT_SITE define
- New:   Add admin bar upgrade button for Bulk Upgrades module
- New:   Filters to override ads conditionals
- New:   BuddyPress feature to hide non-pro blogs from activity streams
- New:   Pricing checkout table
- New:   Features table
- New:   Use multiple gateways (e.g. allowing PayPal as well as Credit Card via Stripe)
- New:   Taxamo integration to support EU VAT requirements (requires Taxamo.com account)
- New:   Detailed receipts when using tax
- Fixed: Posting quota limit issue for Custom posts
- Fixed: Warnings and notices
- Fixed: Upload Quota ad-free level showing when not active in ads module
- Fixed: Check class_exists on Stripe API class
- Fixed: Plugin Path variable
- Fixed: Translatable strings
- Fixed: Checkout url ( displayed if quota is exceeded ) on media page
- New UI: Updated many of the setting pages to make it easier to find your settings. Also includes drag and drop reordering of some elements.

------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------

3.4.6 - 12/19/2014 - Aaron Edwards
----------------------------------------------------------------------
- Fix: Module/Gateway names/descriptions not translating properly
- Fix: Various text typos - refreshed pot file
- Fix: Limit potential conflicts with other plugins using the TCPDF library

3.4.5 - 11/12/2014 - Aaron Edwards
----------------------------------------------------------------------
- New: Add timezone offset support to log entry timestamps

3.4.4 - 10/30/2014 - Aaron Edwards
----------------------------------------------------------------------
- Fixed: Some PHP notices
- Fixed: Default email text that would trigger Commodo firewall rules

3.4.3.9 - 9/10/2014 - Aaron Edwards
----------------------------------------------------------------------
- Fixed: Upload quota upgrade message was displaying on main site

3.4.3.8 - 9/7/2014 - Aaron Edwards
----------------------------------------------------------------------
- Fixed: Permanent upgrades that got truncated on 32 bit systems due to (int) casting

3.4.3.7 - 8/4/2014 - Aaron Edwards
----------------------------------------------------------------------
- Added: Add BN code to PayPal gateway

------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------

3.4.3.6 - 4/1/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed: multiple customer_id index issue in "pro_sites_stripe_customers" table http://wp.mu/945
- Fixed: "free trial" nag message still displays after upgrading
- Fixed: payment amount would be blank in payment receipt emails
- Added: additional language to email receipts when customer is in trial status - added "psts_trial_info" filter for editing this text
- Added: receipt emails, etc now send in HTML format
- Added "psts_trial_days_options" filter http://wp.mu/92a

3.4.3.5 - 3/20/2014 - Aaron Edwards, Hoang Ngo
----------------------------------------------------------------------
- Fix: PayPal sandbox errors due to them dropping support for HTTP1.0
- Fix: Notice caused by custom translation file code.
- Fix: Removed legacy language support for /mu-plugins/ installation, use WP core WP_LANGUAGE_DIR/plugins/psts-LOCALE.mo

3.4.3.4 - 3/20/2014 - Jonathan Cowher
----------------------------------------------------------------------
- Fixed unclosed <div> in Stripe gateway
- Added in all 139 currencies that Stripe supports

3.4.3.3 - 2/24/2014 - Jonathan Cowher, Aaron Edwards
----------------------------------------------------------------------
- Bug fixes for Stripe gateway

3.4.3.2 - 2/24/2014 - Aaron Edwards, Ignacio
----------------------------------------------------------------------
- New: Setting to turn off upgrade menu item
- Fix: Major bug with levels drop down used in other plugins

3.4.3.1 - 2/18/2014 - Jonathan Cowher, Aaron Edwards
----------------------------------------------------------------------
- Use built in menu icon
- Additional fixes for Stripe gateway and free trials

3.4.3 - 2/11/2014 - Jonathan Cowher
----------------------------------------------------------------------
- New: Stripe plans are now cached locally for improved page load speeds
- New: Display an admin message when Stripe API keys have not been set in settings
- New: Translations can now be loaded from WP_LANG_DIR/pro-sites/psts-{your locale}.mo
- Fixed: Stripe gateway and free trials bug http://wp.mu/8sh
- Fixed: Stripe gateway bug where subscriptions sometimes end before Stripe sends auto-renew webhooks http://wp.mu/8or
- Fixed: A bunch of Strict-standards warnings

3.4.2 - 12/19/2013 - Aaron Edwards
----------------------------------------------------------------------
- Major Stripe gateway bug fixes
- Change site_url() to home_url() where appropriate
- Fix Stripe level label for Quarterly
- Don't show upgrade button to those who can't upgrade the site
- WP 3.8 support in Premium Themes

3.4.1 - 8/26/2013 - Aaron Edwards
----------------------------------------------------------------------
- Fix major problem with Stripe gateway webhooks
- Update Stripe API files for better cross-compatibility with other plugins http://wp.mu/1r6
- Add support for CAD and GBP to Stripe gateway
- Fix Stripe plan syncing for quarterly prices
- Fix payment date on email receipts to show actual date, not date of email
- Fix bug in Premium Themes module that didn't allow overriding access to pro only themes per site
- Add Israel & New Zealand locales to paypal gateway
- Attempt to fix expire email getting randomly sent for permanently extended sites
- Execute shortcodes in manual gateway instructions output
- Add PSTS_DISABLE_UPGRADE define for those with db issues (settings corruption/duplication)
- SQL/XSS hardening

3.4 - 3/5/2013 - Aaron Edwards
----------------------------------------------------------------------
- Add in PDF receipt attachments to emails with custom logo support
- Add new email that is sent on pro site expiration
- Prevent 404 results for bbpress child forums
- Check user has edit permissions for one blog before loading checkout.
- If a user has one blog, load checkout page for that blog instead of asking them to select their blog from a list.
- Search and replace email notification subjects as well as body.
- Allow newly supported quarterly plans with Stripe
- Sync Levels with Stripe Plans on switch from test to live (avoid errors when switching to live)
- Don't show upload quota upgrade message if the site has been given an individual quota override
- Some style updates

3.3.4 - 1/8/2013 - Aaron Edwards
----------------------------------------------------------------------
- Fix an bug in premium themes module showing themes as network enabled: http://wp.mu/bk
- Place a label onto premium plugins listed, even if a user is on the pro level: http://wp.mu/bl

3.3.3 - 12/11/2012 - Aaron Edwards
----------------------------------------------------------------------
- WP 3.5 compatibility for XML-RPC module (no Atom, different hooks)
- Merge Premium Themes page into normal themes list
- New MarketPress Global Products Filter module
- Don't show ads in RSS feeds
- Add in hook for affiliate payments on bulk upgrades
- Add Japan locale to paypal list
- Fix db errors in upgrade/install script
- Fix bug in upload quota messages advertising wrong level

3.3.2 - 9/04/2012 - Aaron Edwards
----------------------------------------------------------------------
- Fix error when deleting sites with Stripe gateway active

3.3.1 - 8/30/2012 - Aaron Edwards
----------------------------------------------------------------------
- Small bugfix for transferring Pro status from one site to another in PayPal gateway

3.3 - 8/30/2012 - Aaron Edwards
----------------------------------------------------------------------
- Add ability to transfer Pro status from one site to another
- Add ability to add custom log entries when managing a site
- Fix bugs with refunding transactions in the Stripe gateway: http://premium.wpmudev.org/forums/topic/pro-sites-stripe-refund-bug
- Fix PayPal instructions external links
- Add additional compatibility filter for New Blog Templates plugin
- Fix hardcoded prefix in is_pro_user() function, props korkmaz
- Cancel subscriptions when a site/blog is deleted
- Allow special quota amounts for Ads removed (upgraded) sites

3.2.2 - 5/2/2012 - Aaron Edwards
----------------------------------------------------------------------
- Fix menu permissions bug with Premium Plugins module introduced in 3.2.1

3.2.1 - 4/24/2012 - Aaron Edwards
----------------------------------------------------------------------
- Add support for Google Analytics Ecommerce Tracking
- Fix major problems with autoactivation of premium plugins on new sites

3.2 - 4/19/2012 - Aaron Edwards
----------------------------------------------------------------------
- Add ability for admins or user to resend an email receipt via manage/checkout page
- Add styled upgrade button to admin bar (replaces old menu item)
- Add pro status/manage link to admin bar for Super Admins
- Fix wrong coupon discount amounts for Stripe checkouts
- Fix error handling bug for Stripe gateway
- Adjust response codes returned for non prosites IPNs: http://premium.wpmudev.org/forums/topic/paypal-ipn-problem
- Add PSTS_CANCEL_LAST define that can be put in wpconfig to show cancel button at bottom of checkout form
- Add wp_cache support for the Supporter Ads module

3.1.3 - 3/19/2012 - Aaron Edwards
----------------------------------------------------------------------
- Fix small bug with current subscription display
- Exclude more sensitive options from New Blog Templates plugin
- Skip all redirects on bulk upgrades page

3.1.2 - 3/09/2012 - Aaron Edwards
----------------------------------------------------------------------
- Allow for default selected period and level on checkout form via PSTS_DEFAULT_LEVEL, PSTS_DEFAULT_PERIOD defines
- Fix potential divide by zero bug on prorated refund calculation for manually extended paypal gateway blogs
- Fix Manual stats category counts which were no longer accurate
- i18n fixes
- Show an information notice on the levels screen when Stripe gateway is active

3.1.1 - 2/21/2012 - Aaron Edwards
----------------------------------------------------------------------
- Fix post location of find sites form
- Fix issue with Stripe gateway and manually extended sites
- Fix bug in pay to blog module (props koff!) http://premium.wpmudev.org/forums/topic/bug-pay-to-blog-may-be-unupdateable
- Fix issue detecting trial status of sites

3.1 - 2/17/2012 - Aaron Edwards
----------------------------------------------------------------------
- Added Stripe gateway!
- Pay to Blog skip redirect on bulk upgrades page
- Fix BuddyPress groups limiting module
- Add PSTS_QUOTA_ALLOW_OVERRIDE define: http://premium.wpmudev.org/forums/topic/any-way-to-make-pro-sites-ignore-certain-core-subsites#post-179939
- Remove save text on checkout grid buttons when savings is negative
- Don't allow checkouts for permanently extended sites to avoid errors
- Fix issue with force and hide signup option when rebrand has spaces (your signup links will be different)

3.0.9 - 1/30/2012 - Aaron Edwards
----------------------------------------------------------------------
- Fix calculation and log/label text of prorated refunds in PayPal gateway
- Fix duplicate submit error with PayPal Pro and some themes: http://premium.wpmudev.org/forums/topic/paypal-pro-duplicate-payment-error
- Remove debug code left in bulk upgrades module
- Fix issue with trial ending not revoking access to premium themes/plugins

3.0.8 - 1/22/2012 - Aaron Edwards
----------------------------------------------------------------------
- Fix IPN bug in bulk upgrades module
- Add bulk upgrades link to checkout grid
- Allow a bulk upgrade of the current site
- Fix bugs in PayPal backwards compatibility IPN handler - important to manually replace supporter-paypal.php if you are using!
- Record payment info for old Supporter paypal existing subscriptions
- Use main site date format for log entries
- Add additional hooks to the checkout page
- Fix checkout page title filter for themes that don't properly init the loop in their page template - http://premium.wpmudev.org/forums/topic/redbranding-pro-site-not-complete
- Fix a rare blank page creation issue when importing xml
- Make upgrade scripts aware of DO_NOT_UPGRADE_GLOBAL_TABLES define

3.0.7 - 1/12/2012 - Aaron Edwards
----------------------------------------------------------------------
- Add current account information to checkout screen for older supporter users: http://premium.wpmudev.org/forums/topic/subscription-issues-after-upgrade
- Add Pro badge widget module
- Fix currency symbol in email receipts
- Make it harder to get errors on PayPal checkout when refreshing final page
- Fix unextended site if subscription fails but first payment successful on signup
- Fix skipped email reciept for CC checkout first payment
- Fix visit site links on confirmation page when using SSL

3.0.6 - 1/02/2012 - Aaron Edwards
----------------------------------------------------------------------
- Added PSTS_STATS_MONTHS define to change stats months back view (default 12)
- Bug fix for PayPal Pro CC checkout error message
- Bug fix for PayPal IPN handling for Bulk Updates

3.0.5 - 12/23/2011 - Aaron Edwards
----------------------------------------------------------------------
- IMPORTANT bug fix for PayPal IPN handling. Required update!
- Fix unintentional onetime redirect for all free sites to the checkout page, for real this time!
- Handle SSL properly on checkout page
- i18n improvements
- Various small fixes/improvements

3.0.4.1 - 12/12/2011 - Aaron Edwards
----------------------------------------------------------------------
- Minor WP 3.3 compatibility fixes

3.0.4 - 12/02/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix nested forms in the Upgrades module checkout screen
- Fix newly installed plugins showing up: http://premium.wpmudev.org/forums/topic/pro-sites-bug-new-plugins-are-not-hidden-from-subsite-admins
- Fix unintentional onetime redirect for all free sites to the checkout page
- Update documentation on premium plugins page to detail the per site overrides feature
- Add Turkish lira to PayPal gateway
- Fix css for Unfiltered HTML module message

3.0.3 - 10/31/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix extra slashes in script and css urls
- Fix excerpt issues in ads module
- Fix Quota module post counting issues
- Fix for checkout link permalink problems on some sites

3.0.2 - 10/26/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix stripslashes issue on levels page
- Make free option a configurable button on checkout screen
- Fixed a nasty rare bug is_pro_site() determination

3.0.1 - 10/20/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fix autoactivation when the plugin in question is active on the main site - Props to asimetrick!
- Screenreader accessibility for the checkout form grid - Props to KFUK-KFUM!
- Fix shortcodes on checkout page
- Fix checkout page generation on first install

3.0 - 10/20/2011 - Aaron Edwards
----------------------------------------------------------------------
- Complete rewrite!
- Pro Site Levels!!!!!!!! And every optional module has full level support
- Coupons
- Permanent Pro Site status switch
- Premium plugins/themes get removed on downgrades/cancelations
- Better statistics
- Better site management
- More customization/rebranding power
- Email notifications
- Every module spruced up and improved
- Front end checkout
- A new, incredibly powerful PayPal Express Checkout and Pro gateway:
		Accept credit cards directly!
		Allows modifications, level upgrades, payment plan changes, and cancelations by the user.
		Powerful admin management: Process refunds, cancelations, partial refunds, and keep track of everything for the blog via a detailed audit log.
- Manual payments gateway
- Built in Supporter Ads Module
- Bulk Upgrades Module: 	Allows you to sell Pro Site level upgrades in bulk packages.
- Limit BuddyPress Features Module: 	Allows you to limit BuddyPress group creation and messaging to users of a Pro Site.
- Limit Publishing Module: 	Allows you to only enable writing posts and/or pages for selected Pro Site levels.
- Pay To Blog Module: 	Allows you to completely disable a site both front end and back until paid.
- Post/Page Quotas Module: 	Allows you to limit the number of post types for selected Pro Site levels.
- Unfilter HTML Module:  Allows you provide the "unfiltered_html" permission to specific user types for selected Pro Site levels.
- Much more!

2.2.8 - 4/12/2011 - Aaron Edwards
----------------------------------------------------------------------
- is_supporter() improvements to reduce querys
- Rewritten supporter-write.php module to actually remove permissions
- Amazon gateway API update for compatibility

2.2.7 - 1/11/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fixed an issue in supporter-plugins.php that messed up the settings page

2.2.6 - 1/07/2011 - Aaron Edwards
----------------------------------------------------------------------
- Fixed small typo that messed up backwards compatibility with WP 3.0.x

2.2.5 - 1/06/2011 - Aaron Edwards
----------------------------------------------------------------------
- WP 3.1 compatibility
- Filter network plugins from plugin management list
- Major repackaging/autoupdates will be in upcoming 3.0 release

2.2.4 - 12/06/2010
----------------------------------------------------------------------
- Enhancement: compatibility with New Blog Templates plugin
- Bug fix: 3 month supporters not displayed in signup stats
- Bug fix: broken menu item

2.2.3 - 11/09/2010
----------------------------------------------------------------------
- Fix error with plugin echoing data before display

2.2.2 - 6/18/2010
----------------------------------------------------------------------
- Fixed Supporter Plugins bug with auto-activate for new supporters in 3.0

2.2.1 - 6/10/2010
----------------------------------------------------------------------
- 3.0 compatibility
- Fixed BuddyPress module to work with latest BP version (1.2.4)
- Raised the select limits for price and upload quota fields

2.2 - 3/19/2010
----------------------------------------------------------------------
- Added XML-RPC and Atom limiting module (supporter-xmlrpc.php)
- Fixed CSS issues with field in BP 1.2 theme register pages

2.1 - 1/15/2010
----------------------------------------------------------------------
- Add rebranding to Paypal and Amazon button code

2.0.8 - 2/08/2010
----------------------------------------------------------------------
- WPMU 2.9.x compatibility
- Fixed quota bug that displayed supporter quota on site-admin options page

2.0.7 - 1/13/2010
----------------------------------------------------------------------
- Fixed major bug in Paypal IPN handling that didn't record signup/modification/cancelation stats
- Fixed entity bug in premium support
- Update notification support

2.0.6 - 12/10/2009
----------------------------------------------------------------------
- Fixed bug that displayed yearly amount to monthly supporters
- Added optional Premium Support module to allow for direct email support

2.0.5 - 12/08/2009
----------------------------------------------------------------------
- Fixed some issues with money number formats and missing currency symbol on bulk upgrades page

2.0.4 - 11/20/2009
----------------------------------------------------------------------
- Fixed bug on premium plugins admin page http://premium.wpmudev.org/forums/topic/supporter-plugin-premium-plugins-options?replies=5#post-20386
- Added support for signup option on buddypress register page

2.0.3 - 11/06/2009
----------------------------------------------------------------------
- Fixed plugins multi-activate error
- Fixed bug with quotas
- Added currency symbol changing
- More paypal currencies

2.0.2 - 11/05/2009
----------------------------------------------------------------------
- Fixed supporter widget bug added in 1.6.3: http://premium.wpmudev.org/forums/topic/supporter-20/page/2#post-18643
- Added ability for site-admins to activate ANY plugins for a blog
- Added "Supporter (auto-activate)" option for plugins
- Made the plugins page message editable in settings

2.0.1 - 11/03/2009
----------------------------------------------------------------------
- Fixed minor bugs with Premium Plugins module and supporter menu when only 1 optional module is installed

2.0 - 10/28/2009
----------------------------------------------------------------------
- Major Upgrade/Rewrite
-- Added Stat tracking with pretty graphs (2 new global tables for Multi-DB)
-- Supporter signup option on blog creation (with ability to force via URL variable)
-- Premium Themes
-- Premium Plugins (note: not compatable with WPMU Plugin Manager, use one or the other)
-- BuddyPress feature limiting
-- Modular payment gateways (code your own!)
-- Amazon Simple Pay payment gateway
-- PayPal gateway supports subscription modifications (upgrade/downgrade)
-- Quota updated to be non-permanent and show supporter message

1.6.3 - 09/28/2009
----------------------------------------------------------------------
- Adds affiliate integration

1.6.2 - 09/21/2009
----------------------------------------------------------------------
- Time extensions are now more accurate

1.6.1 - 07/25/2009
----------------------------------------------------------------------
- Bug Fix

1.6.0 - 07/24/2009
----------------------------------------------------------------------
- 2.8 compatibility update

1.5.7 - 04/20/2009
----------------------------------------------------------------------
- Fixed supporter widget bug

1.5.6 - 04/13/2009
----------------------------------------------------------------------
- Fixed supporter widget bug

1.5.5 - 03/25/2009
----------------------------------------------------------------------
- Added supporter widget
- Removed admin bar menu item

1.5.1 - 03/25/2009
----------------------------------------------------------------------
- Updated install.txt
- Minor bug fixes

1.5.0 - 03/02/2009
----------------------------------------------------------------------
- Added site admin check
- Added "Bulk Upgrades" option

1.0.2 - 02/17/2009
----------------------------------------------------------------------
- Fixed bug in supporter-plugins.php (previously supporter_plugins.php).
- Note that file names have changed.

1.0.1 - 02/05/2009
----------------------------------------------------------------------
- Added feature to remove the plugins menu on non-supporter blogs.

1.0.0 - 01/26/2009
----------------------------------------------------------------------
- Initial Release.


664693-1552523163-au